Name:           fence-agents-pve
Version:        4.13.1
Release:        1%{?dist}
Summary:        Fence agent for PVE
License:        GPLv2+ and LGPLv2+
URL:            https://github.com/ClusterLabs/fence-agents
Source0:        https://github.com/ClusterLabs/fence-agents/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel

Requires:       python3-pycurl
Requires:       fence-agents-common

%description
Fence agent for PVE.

%prep
%setup -q -n fence-agents-%{version}

%build
sed -i \
    -e "s,@PYTHON@,%{__python3}," \
    -e "s,@FENCEAGENTSLIBDIR@,%{_datadir}/fence," \
    agents/pve/fence_pve.py

%install
%{__mkdir_p} %{buildroot}%{_sbindir}
%{__install} -m 0755 agents/pve/fence_pve.py %{buildroot}%{_sbindir}/fence_pve

%files
%defattr(-, root, root)
%{_sbindir}/fence_pve

%changelog
* Thu Jan 04 2024 Daniel Uvehag <daniel.uvehag@gmail.com> - 4.13.1-1
- Initial package
